// --------------------------------------------------------------------------------
// PhpWindowSystem - PwsMenu JavaScript
// --------------------------------------------------------------------------------
//
// Presentation :
//   PhpWindowSystem is a generic PHP window system management.
//   PhpWindowSystem is designed to take care of window displaying and
//   manage the associated events in order to offer a generic application
//   container.
//   More information can be obtained on
//   PhpConcept (http://www.phpconcept.net)
//   or by contacting the author Vincent Blavet (vincent@phpconcept.net)
//
// --------------------------------------------------------------------------------
// License :
//   PhpWindowSystem (PWS)
//   Copyright (C) 2002  Vincent Blavet (vincent@phpconcept.net)
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or (at your option) any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// --------------------------------------------------------------------------------
// CVS : $Id: pws-menu.js.php,v 1.1 2002/08/26 22:07:43 vblavet Exp $
// --------------------------------------------------------------------------------


// ----- Global value
var pws_menu_opened = '';
var pws_menu_opened_trick = 0;

// --------------------------------------------------------------------------------
// Function : PwsJavaMenuClose()
// Description :
// --------------------------------------------------------------------------------
function PwsJavaMenuClose(p_name)
{
  //alert("Calling PwsJavaMenuClose("+p_name+")");

    if (pws_navigator.navigator == "IE")
    {
      var v_object = document.all[p_name];
    }
    else
    {
      var v_object = document.getElementById(p_name);
    }

    v_object.style.visibility = "hidden";

    if (pws_menu_opened == p_name)
    {
      pws_menu_opened = '';
    }
}
// --------------------------------------------------------------------------------

// --------------------------------------------------------------------------------
// Function : PwsJavaMenuOpen()
// Description :
// --------------------------------------------------------------------------------
function PwsJavaMenuOpen(p_name)
{
  //alert("Calling PwsJavaMenuOpen("+p_name+")");

    if (pws_navigator.navigator == "IE")
    {
      var v_object = document.all[p_name];
    }
    else
    {
      var v_object = document.getElementById(p_name);
    }

    v_object.style.visibility = "visible";
    pws_menu_opened = p_name;
}
// --------------------------------------------------------------------------------

// --------------------------------------------------------------------------------
// Function : PwsJavaButtonClick()
// Description :
// --------------------------------------------------------------------------------
function PwsJavaButtonClick(p_object, p_id, p_link)
{
  //alert("Calling PwsJavaButtonClick("+p_object+'-'+p_id+")");

  // ----- Select the object (ilayer))
  var v_name = p_object+'-'+p_id;

  // ----- Look for click on the opened button
  if (pws_menu_opened != v_name)
  {
    if (pws_navigator.navigator == "IE")
    {
      var v_object = document.all[v_name];
    }
    else
    {
      var v_object = document.getElementById(v_name);
    }

    //alert("obj top="+v_object.style.top);

    // ----- Set the popup position
    //v_object.style.left = document.body.scrollLeft+event.clientX;
    //v_object.style.top  = document.body.scrollTop+event.clientY;

    v_div_parent = PwsGetParentByType(p_link, "pwsWindow");

    v_height = p_link.offsetHeight;

    v_pos = PwsGetAbsolutePosition(p_link);

    v_object.style.left = v_pos.left;
    v_object.style.top  = v_pos.top+v_height;

    // ----- Look if a menu already open
    if (pws_menu_opened != '')
    {
      PwsJavaMenuClose(pws_menu_opened);
    }

    // ----- Open the menu
    PwsJavaMenuOpen(v_name);

    pws_menu_opened_trick = 1;
  }
}
// --------------------------------------------------------------------------------


// --------------------------------------------------------------------------------
// Function : PwsJavaClick()
// Description :
// --------------------------------------------------------------------------------
function PwsJavaClick()
{
  //alert("Calling PwsJavaClick()");
  //alert("x="+window.event.type);

  if (pws_menu_opened_trick==0)
  {
    // ----- Look for an opened menu
    if (pws_menu_opened != '')
    {
      PwsJavaMenuClose(pws_menu_opened);
    }
  }
  pws_menu_opened_trick = 0;
}
// --------------------------------------------------------------------------------


// ----- Register the click anywhere
document.body.onclick=PwsJavaClick;


