<?
// --------------------------------------------------------------------------------
// PhpWindowSystem - PwsTemplate Class
// --------------------------------------------------------------------------------
//
// Presentation :
//   PhpWindowSystem is a generic PHP window system management.
//   PhpWindowSystem is designed to take care of window displaying and
//   manage the associated events in order to offer a generic application
//   container.
//   More information can be obtained on
//   PhpConcept (http://www.phpconcept.net)
//   or by contacting the author Vincent Blavet (vincent@phpconcept.net)
//
// --------------------------------------------------------------------------------
// License :
//   PhpWindowSystem (PWS)
//   Copyright (C) 2002  Vincent Blavet (vincent@phpconcept.net)
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or (at your option) any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// --------------------------------------------------------------------------------
// CVS : $Id: pws-template.class.php,v 1.1 2002/08/26 22:07:43 vblavet Exp $
// --------------------------------------------------------------------------------

  // ----- Class objects
  require_once('pws/core/pws-object-graphical.class.php');

  // ----- Class ID
  // The Class id has the following format : DCCCSS00 (exemple 10010200).
  // D means Discriminator (1 for core classes, 2 for registered modules,
  // 3 for unregistered modules, 4 for user classes),
  // CCC for classes,
  // SSS for sub-classes (grouping or inheriting classes),
  // 00 for attributes values.
  define ('PWS_TEMPLATE_ID', DCCCSS00);

  // ----- Attributes definition
  define ('PWS_TEMPLATE_ATTRIBUTE_SAMPLE', PWS_TEMPLATE_ID+1);

  // --------------------------------------------------------------------------------
  // Class : PwsTemplate
  // Description :
  // Attributes :
  // --------------------------------------------------------------------------------
  class PwsTemplate extends PwsObjectGraphical
  {
    // ----- Object attributes
    // TBC

    // --------------------------------------------------------------------------------
    // Method : PwsTemplate()
    // Description :
    //   Constructor
    // --------------------------------------------------------------------------------
    function PwsTemplate()
    {
      PwsTraceFctStart(__FILE__, __LINE__, 'PwsTemplate::PwsTemplate', "");

      // ----- Call the Parent constructor
      PwsObjectGraphical::PwsObjectGraphical();

      // ----- Initialize

      // ----- Return
      PwsTraceFctEnd(__FILE__, __LINE__, 1);
      return;
    }
    // --------------------------------------------------------------------------------

    // --------------------------------------------------------------------------------
    // Method : pSetSingleAttribute()
    // Description :
    // --------------------------------------------------------------------------------
    function pSetSingleAttribute($p_name, $p_value)
    {
      $v_result=1;
      PwsTraceFctStart(__FILE__, __LINE__, 'PwsTemplate['.$this->id.']::pSetSingleAttribute', "name='$p_name', value='$p_value'");

      // ----- Look first for parent class attribute
      if (($v_result = PwsObjectGraphical::pSetSingleAttribute($p_name, $p_value)) == 0) {
        // ----- Set the attribute
        switch ($p_name)
        {
          case PWS_TEMPLATE_ATTRIBUTE_SAMPLE :
          break;
          default :
            PwsTraceFctMessage(__FILE__, __LINE__, 2, "Unknown attribute '$p_name' for PwsTemplate object");
            $v_result=0;
        }
      }

      // ----- Return
      PwsTraceFctEnd(__FILE__, __LINE__, $v_result);
      return $v_result;
    }
    // --------------------------------------------------------------------------------

    // --------------------------------------------------------------------------------
    // Method : readXmlToken()
    // Description :
    // --------------------------------------------------------------------------------
    function readXmlToken($p_parser, $p_name, $attrs)
    {
      PwsTraceFctStart(__FILE__, __LINE__, 'PwsTemplate['.$this->id.']::readXmlToken', "name='$p_name'");

      // ----- Look for token name
      switch ($p_name)
      {
      /*
        case "CHILD" :
          PwsTraceFctMessage(__FILE__, __LINE__, 2, "Found token CHILD, create object");

          // ----- Create a new Title object
          $p_object = new PwsFrame();
          $this->add(&$p_object);

          // ----- Set the object & methods for the xml parser
          xml_set_object($p_parser, &$p_object);
        break;

        case "ATTRIBUT" :
          $this->working_data = $p_name;
        break;
        */

        default :
          PwsTraceFctMessage(__FILE__, __LINE__, 2, "Unsupported token for this object");
          die("Unsupported token '$p_name' for PwsTemplate object");

      }

      // ----- Return
      PwsTraceFctEnd(__FILE__, __LINE__, 1);
      return;
    }
    // --------------------------------------------------------------------------------

    // --------------------------------------------------------------------------------
    // Method : readXmlAttributs()
    // Description :
    // --------------------------------------------------------------------------------
    function readXmlAttributs($p_attributes)
    {
      PwsTraceFctStart(__FILE__, __LINE__, 'PwsTemplate['.$this->id.']::readXmlAttributs', "");

      // ----- Return
      PwsTraceFctEnd(__FILE__, __LINE__, 1);
      return;
    }
    // --------------------------------------------------------------------------------

    // --------------------------------------------------------------------------------
    // Method : finishXmlToken()
    // Description :
    // --------------------------------------------------------------------------------
    function finishXmlToken($p_parser, $p_name)
    {
      PwsTraceFctStart(__FILE__, __LINE__, 'PwsTemplate['.$this->id.']::finishXmlToken', "name='$p_name'");

      // ----- Look for token name
      switch ($p_name)
      {
      /*
        case "APPLICATION" :
          PwsTraceFctMessage(__FILE__, __LINE__, 2, "End of PwsApplication object reading");

          // ----- Set the reference object back to the parent
          xml_set_object($p_parser, &$this->parent);

          // ----- Reset the working data
          $this->working_data = $p_name;
        break;
        case "NAME" :
        case "VERSION" :
        case "ICON" :
          PwsTraceFctMessage(__FILE__, __LINE__, 2, "End of attribute data, reset working data");
          $this->working_data = '';
        break;
        */
        default :
          PwsTraceFctMessage(__FILE__, __LINE__, 2, "Unsupported token for this object");
          die("Unsupported finishing token '$p_name' for PwsTemplate object");
      }

      // ----- Return
      PwsTraceFctEnd(__FILE__, __LINE__, 1);
      return;
    }
    // --------------------------------------------------------------------------------

    // --------------------------------------------------------------------------------
    // Method : readXmlTokenContent()
    // Description :
    // --------------------------------------------------------------------------------
    function readXmlTokenContent($p_parser, $p_data)
    {
      PwsTraceFctStart(__FILE__, __LINE__, 'PwsTemplate['.$this->id.']::readXmlTokenContent', "data='$p_data'");

      // ----- Look for object type
      switch ($this->working_data)
      {
        case "NAME" :
        case "VERSION" :
        case "ICON" :
          if (trim($p_data) != "")
          {
            PwsTraceFctMessage(__FILE__, __LINE__, 2, "Setting attribute ".$this->working_data." to '".$p_data."'");
            eval('$this->setAttribute(PWS_TEMPLATE_ATTRIBUTE_'.$this->working_data.', trim($p_data));');
          }
        break;
        default :
          ;
      }

      // ----- Return
      PwsTraceFctEnd(__FILE__, __LINE__, 1);
      return;
    }
    // --------------------------------------------------------------------------------

    // --------------------------------------------------------------------------------
    // Method : event_pws_display()
    // Description :
    // --------------------------------------------------------------------------------
    function event_pws_display(&$p_event)
    {
      PwsTraceFctStart(__FILE__, __LINE__, 'PwsTemplate['.$this->id.']::event_pws_display', "");

      // ----- Return
      PwsTraceFctEnd(__FILE__, __LINE__, 1);
      return;
    }
    // --------------------------------------------------------------------------------

  }
  // End of class
  // --------------------------------------------------------------------------------


?>
