<?
// --------------------------------------------------------------------------------
// PhpWindowSystem - PwsWindowAbout Class
// --------------------------------------------------------------------------------
//
// Presentation :
//   PhpWindowSystem is a generic PHP window system management.
//   PhpWindowSystem is designed to take care of window displaying and
//   manage the associated events in order to offer a generic application
//   container.
//   More information can be obtained on
//   PhpConcept (http://www.phpconcept.net)
//   or by contacting the author Vincent Blavet (vincent@phpconcept.net)
//
// --------------------------------------------------------------------------------
// License :
//   PhpWindowSystem (PWS)
//   Copyright (C) 2002  Vincent Blavet (vincent@phpconcept.net)
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or (at your option) any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// --------------------------------------------------------------------------------
// CVS : $Id: pws-window-about.class.php,v 1.1 2002/08/26 22:07:43 vblavet Exp $
// --------------------------------------------------------------------------------

  // ----- Class objects
  require_once('pws/core/pws-window.class.php');
  require_once('pws/core/pws-module.class.php');
  require_once('pws/core/pws-author.class.php');

  // ----- Class ID
  define ('PWS_WINDOW_ABOUT_ID', 10030100);

  // ----- Attributes definition
  define ("PWS_WINDOW_ABOUT_ATTRIBUTE_SAMPLE", PWS_WINDOW_ABOUT_ID+1);

  // ----- Constant definition

  // --------------------------------------------------------------------------------
  // Class : PwsWindowAbout
  // Description :
  // Attributes :
  // --------------------------------------------------------------------------------
  class PwsWindowAbout extends PwsWindow
  {
    // --------------------------------------------------------------------------------
    // Method : PwsWindowAbout()
    // Description :
    //   Constructor
    // --------------------------------------------------------------------------------
    function PwsWindowAbout()
    {
      PwsTraceFctStart(__FILE__, __LINE__, 'PwsWindowAbout::PwsWindowAbout', "");

      // ----- Call the Parent constructor
      PwsWindow::PwsWindow();

      // ----- Initialize

      // ----- Return
      PwsTraceFctEnd(__FILE__, __LINE__, 1);
      return;
    }
    // --------------------------------------------------------------------------------

    // --------------------------------------------------------------------------------
    // Method : pSetSingleAttribute()
    // Description :
    // --------------------------------------------------------------------------------
    function pSetSingleAttribute($p_name, $p_value)
    {
      $v_result=1;
      PwsTraceFctStart(__FILE__, __LINE__, 'PwsWindowAbout['.$this->id.']::pSetSingleAttribute', "name='$p_name', value='$p_value'");

      // ----- Look first for parent class attribute
      if (($v_result = PwsWindow::pSetSingleAttribute($p_name, $p_value)) == 0) {
        // ----- Set the attribute
        switch ($p_name)
        {
          default :
            PwsTraceFctMessage(__FILE__, __LINE__, 2, "Unknown attribut '$p_name' for PwsWindowAbout object");
            $v_result=0;
        }
      }

      // ----- Return
      PwsTraceFctEnd(__FILE__, __LINE__, $v_result);
      return $v_result;
    }
    // --------------------------------------------------------------------------------

    // --------------------------------------------------------------------------------
    // Method : readXmlToken()
    // Description :
    // --------------------------------------------------------------------------------
    function readXmlToken($p_parser, $p_name, $attrs)
    {
      PwsTraceFctStart(__FILE__, __LINE__, 'PwsWindowAbout['.$this->id.']::readXmlToken', "name='$p_name'");

      // ----- Look for token name
      switch ($p_name)
      {
        case "MODULE" :
          PwsTraceFctMessage(__FILE__, __LINE__, 2, "Found token MODULE, create object");

          // ----- Create a new Module object
          $v_object = &new PwsModule();
          $v_object->readXmlAttributs($attrs);
          $this->add(&$v_object);

          // ----- Set the object & methods for the xml parser
          xml_set_object($p_parser, &$v_object);
        break;

        case "AUTHOR" :
          PwsTraceFctMessage(__FILE__, __LINE__, 2, "Found token AUTHOR, create object");

          // ----- Create a new Module object
          $v_object = &new PwsAuthor();
          $v_object->readXmlAttributs($attrs);
          $this->add(&$v_object);

          // ----- Set the object & methods for the xml parser
          xml_set_object($p_parser, &$v_object);
        break;

        case "FOOTER" :
          PwsTraceFctMessage(__FILE__, __LINE__, 2, "Found token FOOTER, create object");

          // ----- Create a new Title object
          $p_object = &new PwsFooter();
          $this->add(&$p_object);

          // ----- Set the object & methods for the xml parser
          xml_set_object($p_parser, &$p_object);
        break;

        case "NAME" :
        case "VERSION" :
        case "ICON" :
          $this->working_data = $p_name;
        break;
        default :
          PwsTraceFctMessage(__FILE__, __LINE__, 2, "Unsupported token for this object");
          die("Unsupported token '$p_name' for WINDOW object  (".__FILE__.", ".__LINE__.")");
      }

      // ----- Return
      PwsTraceFctEnd(__FILE__, __LINE__, 1);
      return;
    }
    // --------------------------------------------------------------------------------

    // --------------------------------------------------------------------------------
    // Method : finishXmlToken()
    // Description :
    // --------------------------------------------------------------------------------
    function finishXmlToken($p_parser, $p_name)
    {
      PwsTraceFctStart(__FILE__, __LINE__, 'PwsWindowAbout['.$this->id.']::finishXmlToken', "name='$p_name'");

      // ----- Look for token name
      switch ($p_name)
      {
        case "WINDOW" :
          PwsTraceFctMessage(__FILE__, __LINE__, 2, "End of PwsWindow object reading");

          // ----- Set the reference object back to the parent
          xml_set_object($p_parser, &$this->parent);

          // ----- Reset the working data
          $this->working_data = $p_name;

          // TBC : check for a futur 'nofooter' attribute
          // ----- Add a Footer
          $v_footer = & new PwsFooter();
          $this->add($v_footer);

        break;
        default :
          PwsTraceFctMessage(__FILE__, __LINE__, 2, "Unsupported token for this object");
      }

      // ----- Return
      PwsTraceFctEnd(__FILE__, __LINE__, 1);
      return;
    }
    // --------------------------------------------------------------------------------

    // --------------------------------------------------------------------------------
    // Method : readXmlTokenContent()
    // Description :
    // --------------------------------------------------------------------------------
    function readXmlTokenContent($p_parser, $p_data)
    {
      PwsTraceFctStart(__FILE__, __LINE__, 'PwsWindowAbout['.$this->id.']::readXmlTokenContent', "data='$p_data'");

      // ----- Look for object type
      switch ($this->working_data)
      {
      /*
        case "NAME" :
        case "VERSION" :
        case "ICON" :
          if (trim($p_data) != "")
          {
            PwsTraceFctMessage(__FILE__, __LINE__, 2, "Setting attribute ".$this->working_data." to '".$p_data."'");
            $this->setAttribute('PWS_APPLICATION_ATTRIBUTE_'.$this->working_data, trim($p_data));
          }
        break;
        */
        default :
          ;
      }

      // ----- Return
      PwsTraceFctEnd(__FILE__, __LINE__, 1);
      return;
    }
    // --------------------------------------------------------------------------------

    // --------------------------------------------------------------------------------
    // Method : event_pws_display()
    // Description :
    // --------------------------------------------------------------------------------
    function event_pws_display(&$p_event)
    {
      PwsTraceFctStart(__FILE__, __LINE__, 'PwsWindowAbout::event_pws_display', "");

      PwsTraceFctMessage(__FILE__, __LINE__, 5, "WINDOW has ".sizeof($this->childs)." childs");

      // ----- Display the header section
?>
<head>
<?php

      // ----- Display the header informations
      $this->event_pws_header_display($p_event);

      // ----- Display the style informations
      $this->event_pws_style_display($p_event);

      // ----- End of the header section
?>
</head>
<?php

      // ----- Display the body section
?>
<body bgcolor="#FFFFFF" text="#000000" LEFTMARGIN="0" TOPMARGIN="0">
<?php

      // ----- Display the script informations
      $this->event_pws_script_display($p_event);

      // ----- Display the hidden elements
      $this->event_pws_pre_display($p_event);

      // ----- Get the application object
      $v_application = &$this->getParent('pwsapplication');

      // ----- Display the about section
?>
<div class="PwsWindowBorder1">
<div class="PwsWindowBorder2">
<div class="PwsWindowBorder3">

<table align=center>
  <tr>
    <td>
<?php
      if ($v_application->logo!='') {
?>
      <img src='<?php echo $v_application->logo; ?>'>
<?php
      }
?>
    </td>
    <td width=10>
    </td>
    <td>
<span class="PwsWindowAboutTitle">
<?php echo $v_application->name; ?>
</span>
<p align=center>
<span class="PwsWindowAboutText">
Version <?php echo $v_application->version; ?>
</span>
</p>
    </td>
  </tr>
  <tr>
    <td align=center colspan=3>

<?php
  // ----- Look for authors and contributors
  $v_authors = '';
  $v_contributors = '';
  for ($i=0; $i<sizeof($this->childs); $i++)
  {
    if (get_class($this->childs[$i]) == 'pwsauthor')
    {
      if ($this->childs[$i]->isLead())
      {
        $v_link = ($this->childs[$i]->mail!=''?'mailto:'.$this->childs[$i]->mail:$this->childs[$i]->link);
        if ($v_authors!='')
        {
          $v_authors .= ', ';
        }
        $v_authors .= "<a href='$v_link' class='PwsWindowAboutAuthor' target='_blank' title='$v_link'>".$this->childs[$i]->name."</a>";
      }
      else if ($this->childs[$i]->isContributor())
      {
        $v_link = ($this->childs[$i]->mail!=''?'mailto:'.$this->childs[$i]->mail:$this->childs[$i]->link);
        if ($v_contributors!='')
        {
          $v_contributors .= ', ';
        }
        $v_contributors .= "<a href='$v_link' class='PwsWindowAboutContributor' target='_blank' title='$v_link'>".$this->childs[$i]->name."</a>";
      }
    }
  }

  // ----- Display authors
  if ($v_authors != '')
  {
?>
<span class="PwsWindowAboutText">
<br>
by &nbsp;
<?php echo $v_authors; ?>
</span>
<?php
  }
  // ----- Display contributors
  if ($v_contributors != '')
  {
?>
<br>
<span class="PwsWindowAboutText">
with contributions from
<br>
<?php echo $v_contributors; ?>
</span>
<?php
  }

?>
    </td>
  </tr>
</table>
<p align=center>
</p>
<p align=center>
<div class="PwsWindowAboutScroller">

  <table border="0" cellspacing="0" cellpadding="0">

  <tr>
    <span class="PwsWindowAboutModuleTitle">
      External libraries and scripts
    </span>
  </tr>
  <tr>
    <td colspan=7 height=1 bgcolor='#666666'></td>
  </tr>

  <tr>
    <td width="4"></td>
    <td height="1" valign="top">
    <a href='http://www.phpconcept.net/phpwindowsystem/' class="PwsWindowAboutModule" target='_blank' title='http://www.phpconcept.net/phpwindowsystem/'>
    Pws
    </a>
    </td>
    <td width="4"></td>
    <td height="1" valign="top">
    <span class="PwsWindowAboutModule">
    <?php global $pws_version; echo $pws_version; ?>
    </span>
    </td>
    <td width="4"></td>
    <td height="1" valign="top">
    <span class="PwsWindowAboutModule">
    PhpWindowSystem is a generic framework that manage events and graphical objects for an application.
    </span>
    </a>
    </td>
    <td width="4"></td>
  </tr>
  <tr>
    <td colspan=7 height=1 bgcolor='#CCCCCC'></td>
  </tr>

<?php

  // ----- Display all the modules
  for ($i=0; $i<sizeof($this->childs); $i++)
  {
    if (get_class($this->childs[$i]) == 'pwsmodule')
    {
?>
  <tr>
    <td width="4"></td>
    <td height="1" valign="top">
    <a href='<?php echo $this->childs[$i]->link; ?>' class="PwsWindowAboutModule" target='_blank' title='<?php echo $this->childs[$i]->link; ?>'>
    <?php echo $this->childs[$i]->name; ?>
    </a>
    </td>
    <td width="4"></td>
    <td height="1" valign="top">
    <span class="PwsWindowAboutModule">
    <?php echo $this->childs[$i]->version; ?>
    </span>
    </td>
    <td width="4"></td>
    <td height="1" valign="top">
    <span class="PwsWindowAboutModule">
    <?php echo $this->childs[$i]->description; ?>
    </span>
    </a>
    </td>
    <td width="4"></td>
  </tr>
  <tr>
    <td colspan=7 height=1 bgcolor='#CCCCCC'></td>
  </tr>
<?php
    }
  }

?>
  </table>
</div>
</p>
<div align=center>
<FORM  action="http://localhost" method="GET" target='_blank'>
<?php
/* TBC : Will be used for update button
<INPUT TYPE="HIDDEN" name='version' value="<? global $pws_application; echo $pws_application->version; ?>">
<INPUT TYPE="SUBMIT" value="Check for Updates">
&nbsp;
*/
?>
<INPUT TYPE="BUTTON" value="Close" onClick="window.close();">
</FORM>
</div>
<?php

      // ----- Display Items table
//      <table width="100%" border="0" cellspacing="0" cellpadding="0" name="ItemTable">
?>
<?php
        for ($i=0; $i<sizeof($this->childs); $i++)
        {
//  <tr bgcolor="#CCCCCC">
//    <td height="1" bgcolor="#CCCCCC" valign="top">
?>
    <?php $this->childs[$i]->event_pws_display($p_event); ?>
<?php
//    </td>
//  </tr>
        }

      // ----- Display end of childs table
//  </table>
?>
</div>
</div>
</div>
<?php

      // ----- Display the application WINDOW footer
      //$this->pDisplayFooter();

      // ----- Display the Post dispaly function
      $this->event_pws_post_display($p_event);

      // ----- Return
      PwsTraceFctEnd(__FILE__, __LINE__, 1);
      return;
    }
    // --------------------------------------------------------------------------------

  }
  // End of class
  // --------------------------------------------------------------------------------

?>
