<?
// --------------------------------------------------------------------------------
// PhpWindowSystem - PwsWindowHelp Class
// --------------------------------------------------------------------------------
//
// Presentation :
//   PhpWindowSystem is a generic PHP window system management.
//   PhpWindowSystem is designed to take care of window displaying and
//   manage the associated events in order to offer a generic application
//   container.
//   More information can be obtained on
//   PhpConcept (http://www.phpconcept.net)
//   or by contacting the author Vincent Blavet (vincent@phpconcept.net)
//
// --------------------------------------------------------------------------------
// License :
//   PhpWindowSystem (PWS)
//   Copyright (C) 2002  Vincent Blavet (vincent@phpconcept.net)
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or (at your option) any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// --------------------------------------------------------------------------------
// CVS : $Id: pws-window-help.class.php,v 1.1 2002/08/26 22:07:43 vblavet Exp $
// --------------------------------------------------------------------------------

  // ----- Class objects
  require_once('pws/core/pws-window.class.php');

  // ----- Class ID
  define ('PWS_WINDOW_HELP_ID', 10030200);

  // ----- Attributes definition
  define ("PWS_WINDOW_HELP_ATTRIBUTE_SAMPLE", PWS_WINDOW_HELP_ID+1);

  // ----- Constant definition

  // --------------------------------------------------------------------------------
  // Class : PwsWindowHelp
  // Description :
  // Attributes :
  // --------------------------------------------------------------------------------
  class PwsWindowHelp extends PwsWindow
  {
    // --------------------------------------------------------------------------------
    // Method : PwsWindowHelp()
    // Description :
    //   Constructor
    // --------------------------------------------------------------------------------
    function PwsWindowHelp()
    {
      PwsTraceFctStart(__FILE__, __LINE__, 'PwsWindowHelp::PwsWindowHelp', "");

      // ----- Call the Parent constructor
      PwsWindow::PwsWindow();

      // ----- Initialize

      // ----- Return
      PwsTraceFctEnd(__FILE__, __LINE__, 1);
      return;
    }
    // --------------------------------------------------------------------------------

    // --------------------------------------------------------------------------------
    // Method : pSetSingleAttribute()
    // Description :
    // --------------------------------------------------------------------------------
    function pSetSingleAttribute($p_name, $p_value)
    {
      $v_result=1;
      PwsTraceFctStart(__FILE__, __LINE__, 'PwsWindowHelp['.$this->id.']::pSetSingleAttribute', "name='$p_name', value='$p_value'");

      // ----- Look first for parent class attribute
      if (($v_result = PwsWindow::pSetSingleAttribute($p_name, $p_value)) == 0) {
        // ----- Set the attribute
        switch ($p_name)
        {
          default :
            PwsTraceFctMessage(__FILE__, __LINE__, 2, "Unknown attribut '$p_name' for PwsWindowHelp object");
            $v_result=0;
        }
      }

      // ----- Return
      PwsTraceFctEnd(__FILE__, __LINE__, $v_result);
      return $v_result;
    }
    // --------------------------------------------------------------------------------

    // --------------------------------------------------------------------------------
    // Method : readXmlToken()
    // Description :
    // --------------------------------------------------------------------------------
    function readXmlToken($p_parser, $p_name, $attrs)
    {
      PwsTraceFctStart(__FILE__, __LINE__, 'PwsWindowHelp['.$this->id.']::readXmlToken', "name='$p_name'");

      // ----- Look for token name
      switch ($p_name)
      {
        case "FOOTER" :
          PwsTraceFctMessage(__FILE__, __LINE__, 2, "Found token FOOTER, create object");

          // ----- Create a new Title object
          $p_object = &new PwsFooter();
          $this->add(&$p_object);

          // ----- Set the object & methods for the xml parser
          xml_set_object($p_parser, &$p_object);
        break;

        case "NAME" :
        case "VERSION" :
        case "ICON" :
          $this->working_data = $p_name;
        break;
        default :
          PwsTraceFctMessage(__FILE__, __LINE__, 2, "Unsupported token for this object");
          die(" Unsupported token '$p_name' for WINDOW object (".__FILE__.", ".__LINE__.")");
      }

      // ----- Return
      PwsTraceFctEnd(__FILE__, __LINE__, 1);
      return;
    }
    // --------------------------------------------------------------------------------

    // --------------------------------------------------------------------------------
    // Method : finishXmlToken()
    // Description :
    // --------------------------------------------------------------------------------
    function finishXmlToken($p_parser, $p_name)
    {
      PwsTraceFctStart(__FILE__, __LINE__, 'PwsWindowHelp['.$this->id.']::finishXmlToken', "name='$p_name'");

      // ----- Look for token name
      switch ($p_name)
      {
        case "WINDOW" :
          PwsTraceFctMessage(__FILE__, __LINE__, 2, "End of PwsWindow object reading");

          // ----- Set the reference object back to the parent
          xml_set_object($p_parser, &$this->parent);

          // ----- Reset the working data
          $this->working_data = $p_name;

          // TBC : check for a futur 'nofooter' attribute
          // ----- Add a Footer
          $v_footer = & new PwsFooter();
          $this->add($v_footer);
        break;
        default :
          PwsTraceFctMessage(__FILE__, __LINE__, 2, "Unsupported token for this object");
      }

      // ----- Return
      PwsTraceFctEnd(__FILE__, __LINE__, 1);
      return;
    }
    // --------------------------------------------------------------------------------

    // --------------------------------------------------------------------------------
    // Method : readXmlTokenContent()
    // Description :
    // --------------------------------------------------------------------------------
    function readXmlTokenContent($p_parser, $p_data)
    {
      PwsTraceFctStart(__FILE__, __LINE__, 'PwsWindowHelp['.$this->id.']::readXmlTokenContent', "data='$p_data'");

      // ----- Look for object type
      switch ($this->working_data)
      {
      /*
        case "NAME" :
        case "VERSION" :
        case "ICON" :
          if (trim($p_data) != "")
          {
            PwsTraceFctMessage(__FILE__, __LINE__, 2, "Setting attribute ".$this->working_data." to '".$p_data."'");
            $this->setAttribute('PWS_APPLICATION_ATTRIBUTE_'.$this->working_data, trim($p_data));
          }
        break;
        */
        default :
          ;
      }

      // ----- Return
      PwsTraceFctEnd(__FILE__, __LINE__, 1);
      return;
    }
    // --------------------------------------------------------------------------------

    // --------------------------------------------------------------------------------
    // Method : event_pws_display()
    // Description :
    // --------------------------------------------------------------------------------
    function event_pws_display(&$p_event)
    {
      PwsTraceFctStart(__FILE__, __LINE__, 'PwsWindowHelp::event_pws_display', "");
      global $pws_application;

      PwsTraceFctMessage(__FILE__, __LINE__, 5, "WINDOW has ".sizeof($this->childs)." childs");

      // ----- Display the application WINDOW header
      //$this->pDisplayHeader();

      // ----- Display the hidden elements
      $this->event_pws_pre_display($p_event);

      // ----- Display the about section
?>
<div class="PwsWindowBorder1">
<div class="PwsWindowBorder2">
<div class="PwsWindowBorder3">
<p align=center>
<span class="PwsWindowHelpTitle">
Help Window
</span><br><br>
<span class="PwsWindowHelpText">
No generic help system is currently defined.
<br>
Please refer to the author web site for help.
</span>
<div align=center>
<FORM method="GET" target='_blank'>
<INPUT TYPE="BUTTON" value="Close" onClick="window.close();">
</FORM>
</div>
<?php

      // ----- Display Items table
//      <table width="100%" border="0" cellspacing="0" cellpadding="0" name="ItemTable">
?>
<?php
        for ($i=0; $i<sizeof($this->childs); $i++)
        {
//  <tr bgcolor="#CCCCCC">
//    <td height="1" bgcolor="#CCCCCC" valign="top">
?>
    <?php $this->childs[$i]->event_pws_display($p_event); ?>
<?php
//    </td>
//  </tr>
        }

      // ----- Display end of childs table
//  </table>
?>
</div>
</div>
</div>
<?php

      // ----- Display the application WINDOW footer
      //$this->pDisplayFooter();

      // ----- Display the Post dispaly function
      $this->event_pws_post_display($p_event);

      // ----- Return
      PwsTraceFctEnd(__FILE__, __LINE__, 1);
      return;
    }
    // --------------------------------------------------------------------------------

  }
  // End of class
  // --------------------------------------------------------------------------------

?>
