<?
// --------------------------------------------------------------------------------
// PhpWindowSystem - Main include
// --------------------------------------------------------------------------------
//
// Presentation :
//   PhpWindowSystem is a generic PHP window system management.
//   PhpWindowSystem is designed to take care of window displaying and
//   manage the associated events in order to offer a generic application
//   container.
//   More information can be obtained on
//   PhpConcept (http://www.phpconcept.net)
//   or by contacting the author Vincent Blavet (vincent@blavet.org)
//
// --------------------------------------------------------------------------------
// License :
//   PhpWindowSystem (PWS)
//   Copyright (C) 2002  Vincent Blavet (vincent@phpconcept.net)
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or (at your option) any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// --------------------------------------------------------------------------------
// CVS : $Id: pws.inc.php,v 1.1 2002/08/26 22:07:43 vblavet Exp $
// --------------------------------------------------------------------------------

  // ----- Include main application object definition
  require_once('pws/core/pws-application.class.php');

  // ----- Register the pws session
  session_register('pws_application');
  //session_register('pws_count');

  // ----- Create the global variable
  if (!isset($pws_application)) {
    PwsTraceFctMessage(__FILE__, __LINE__, 2, "First initialisation of the Application object");

    $pws_application = & new PwsApplication();
    //$pws_count = 1;
  }

  // ----- Global values
  $pws_version = '0.1';

  // --------------------------------------------------------------------------------
  // Function : PwsStart()
  // Description :
  // Arguments :
  // --------------------------------------------------------------------------------
  function PwsStart($p_file, $p_application_name='', $p_logo='')
  {
    $v_result=1;
    global $pws_application;
    PwsTraceFctStart(__FILE__, __LINE__, 'PwsStart', "file='$p_file', name='$p_application_name', logo='$p_logo'");

    // ----- Look for not started
    if ($pws_application->last_event == 'idle') {
      PwsTraceFctMessage(__FILE__, __LINE__, 2, "First call to the PwsStart() function. Generate default event");
      PwsEventSend('pws_start', 0,
                   'xml_file', $p_file,
                   'application_name', $p_application_name,
                   'logo', $p_logo);
    }

    // ----- Return
    PwsTraceFctEnd(__FILE__, __LINE__, $v_result);
    return $v_result;
  }
  // --------------------------------------------------------------------------------

  // --------------------------------------------------------------------------------
  // Function : PwsLoop()
  // Description :
  // Arguments :
  // --------------------------------------------------------------------------------
  function PwsLoop()
  {
    $v_result=1;
    global $pws_application;
    PwsTraceFctStart(__FILE__, __LINE__, 'PwsLoop', "");

    // ----- Look for not started
    $pws_application->loop();

    // ----- Return
    PwsTraceFctEnd(__FILE__, __LINE__, $v_result);
    return $v_result;
  }
  // --------------------------------------------------------------------------------

?>
