// --------------------------------------------------------------------------------
// PhpWindowSystem - Pws Global Style
// --------------------------------------------------------------------------------
//
// Presentation :
//   PhpWindowSystem is a generic PHP window system management.
//   PhpWindowSystem is designed to take care of window displaying and
//   manage the associated events in order to offer a generic application
//   container.
//   More information can be obtained on
//   PhpConcept (http://www.phpconcept.net)
//   or by contacting the author Vincent Blavet (vincent@phpconcept.net)
//
// --------------------------------------------------------------------------------
// License :
//   PhpWindowSystem (PWS)
//   Copyright (C) 2002  Vincent Blavet (vincent@phpconcept.net)
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or (at your option) any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// --------------------------------------------------------------------------------
// CVS : $Id: pws.style.php,v 1.1 2002/08/26 22:07:43 vblavet Exp $
// --------------------------------------------------------------------------------

A.simple-url { color: #000000; font-weight: normal; text-decoration: none }
A.simple-url:hover { color: #0066CC; text-decoration: underline }
A.simple-url:link { color: #000000; font-weight: normal; text-decoration: none }
A.simple-url:visited { color: #000000; font-weight: normal; text-decoration: none }

A.hidden-url { color: #000000; font-weight: normal; text-decoration: none }
A.hidden-url:hover { color: #000000; font-weight: none }
A.hidden-url:link { color: #000000; font-weight: normal; text-decoration: none }
A.hidden-url:visited { color: #000000; font-weight: normal; text-decoration: none }

div.PwsWindowBorder1 {
  background-color: #CCCCCC;
  border-top: 1px solid #CCCCCC;
  border-bottom: 1px solid #333333;
  border-left: 1px solid #CCCCCC;
  border-right: 1px solid #333333;
}

div.PwsWindowBorder2 {
  background-color: #CCCCCC;
  border-top: 1px solid #FFFFFF;
  border-bottom: 1px solid #666666;
  border-left: 1px solid #FFFFFF;
  border-right: 1px solid #666666;
}

div.PwsWindowBorder3 {
  background-color: #CCCCCC;
  border-top: 1px solid #CCCCCC;
  border-bottom: 1px solid #999999;
  border-left: 1px solid #CCCCCC;
  border-right: 1px solid #999999;
  padding: 2px 2px 2px 2px;
}


div.PwsWindowAboutScroller {
  background-color: #FFFFFF;
  border-top: 1px solid #000000;
  border-bottom: 1px solid #000000;
  border-left: 1px solid #000000;
  border-right: 1px solid #000000;
  overflow: auto;
  z-index: 10;
  position:relative;
  width: 300;
  height: 200;
  margin: 10px 10px;
}

span.PwsWindowAboutTitle {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 18pt;
  font-style: normal;
  font-weight: normal;
  text-align: left;
  color: #000000;
}

span.PwsWindowAboutText {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 8pt;
  font-style: normal;
  font-weight: normal;
  text-align: left;
  color: #000000;
}

a.PwsWindowAboutAuthor {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 12pt;
  font-style: normal;
  font-weight: normal;
  text-align: left;
  color: #000000;
}

a.PwsWindowAboutAuthor:hover {
  color: #0066CC;
  text-decoration: underline;
}

a.PwsWindowAboutAuthor:link {
  color: #000000;
  text-decoration: none;
}

a.PwsWindowAboutAuthor:visited {
  color: #000000;
  text-decoration: none;
}

a.PwsWindowAboutContributor {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 10pt;
  font-style: normal;
  font-weight: normal;
  text-align: left;
  color: #000000;
}

a.PwsWindowAboutContributor:hover {
  color: #0066CC;
  text-decoration: underline;
}

a.PwsWindowAboutContributor:link {
  color: #000000;
  text-decoration: none;
}

a.PwsWindowAboutContributor:visited {
  color: #000000;
  text-decoration: none;
}


span.PwsWindowAboutTranslator {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 10pt;
  font-style: normal;
  font-weight: normal;
  text-align: left;
  color: #000000;
}

span.PwsWindowAboutModuleTitle {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 9pt;
  font-style: normal;
  font-weight: normal;
  text-align: left;
  color: #000000;
}

span.PwsWindowAboutModule {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 8pt;
  font-style: normal;
  font-weight: normal;
  text-align: left;
  color: #000000;
}

a.PwsWindowAboutModule {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 8pt;
  font-style: normal;
  font-weight: normal;
  text-align: left;
  color: #000000;
}

a.PwsWindowAboutModule:hover {
  color: #0066CC;
  text-decoration: underline;
}

a.PwsWindowAboutModule:link {
  color: #000000;
  text-decoration: none;
}

a.PwsWindowAboutModule:visited {
  color: #000000;
  text-decoration: none;
}

div.separatorHorizontal {
  background-color: #CCCCCC;
  border-top: 1px solid #666666;
  border-bottom: 1px solid #FFFFFF;
  margin: 2px 1px;
}

div.menuBar {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 9pt;
  font-style: normal;
  font-weight: normal;
  color: #000000;

  visibility: visible;
  border: 0px;
  background-color: #CCCCCC;
  padding: 4px 2px 4px 2px;
}

div.menuBar a.menuBarButton {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 9pt;
  font-style: normal;
  font-weight: normal;
  text-align: left;
  color: #000000;

  background-color: transparent;
  border: 1px solid #CCCCCC;
  cursor: default;
  margin: 1px;
  padding: 2px 5px 2px 5px;
  position: relative;
  left: 0px;
  top: 0px;
  text-decoration: none;
  z-index: 100;
}

div.menuBar a.menuBarButton:hover {
  border-top: 1px solid #FFFFFF;
  border-left: 1px solid #FFFFFF;
  border-bottom: 1px solid #666666;
  border-right: 1px solid #666666;
}

div.menuPopup {
  background-color: #CCCCCC;
  border-top: 2px solid #FFFFFF;
  border-left: 2px solid #FFFFFF;
  border-bottom: 2px solid #666666;
  border-right: 2px solid #666666;
  padding: 4px 2px 4px 2px;
  text-align: left;
  visibility: hidden;
  position: absolute;
  z-index:101;
}


div.menuPopup a.menuPopupButton {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 9pt;
  font-style: normal;
  font-weight: normal;
  text-align: left;
  color: #000000;

  cursor: default;
  margin: 1px;
  text-decoration: none;
  z-index: 100;
  display: block;
  white-space: nowrap;
  padding: 2px 5px 2px 5px;
}

div.menuPopup a.menuPopupButton:hover {
  background-color: #0066CC;
  color: #FFFFFF;
}

div.titleBar {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 9pt;
  font-style: normal;
  font-weight: normal;
  color: #ffffff;

  visibility: visible;
  background-color: #0066CC;
}

div.footerBar {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 7pt;
  font-style: normal;
  font-weight: normal;
  color: #000000;

  text-align: right;
  border: 0px;
  background-color: #CCCCCC;
  padding: 0px 4px 0px 4px;
}

div.footerBar a.url {
  color: #000000;
  text-decoration: none;
}

div.footerBar a.url:hover {
  color: #0066CC;
  text-decoration: underline;
}

div.footerBar a.url:link {
  color: #000000;
  text-decoration: none;
}

div.footerBar a.url:visited {
  color: #000000;
  text-decoration: none;
}

div.PwsFrameBorder1 {
  background-color: #FFFFFF;
  border-bottom: 1px solid #CCCCCC;
  border-top: 1px solid #999999;
  border-right: 1px solid #CCCCCC;
  border-left: 1px solid #999999;
}

div.PwsFrameBorder2 {
  background-color: #FFFFFF;
  border-bottom: 1px solid #FFFFFF;
  border-top: 1px solid #666666;
  border-right: 1px solid #FFFFFF;
  border-left: 1px solid #666666;
}

div.PwsFrameBorder3 {
  background-color: #FFFFFF;
  border-bottom: 1px solid #CCCCCC;
  border-top: 1px solid #333333;
  border-right: 1px solid #CCCCCC;
  border-left: 1px solid #333333;
  padding: 0px 4px 0px 4px;
}

span.PwsWindowHelpTitle {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 18pt;
  font-style: normal;
  font-weight: normal;
  text-align: left;
  color: #000000;
}

span.PwsWindowHelpText {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 8pt;
  font-style: normal;
  font-weight: normal;
  text-align: left;
  color: #000000;
}




span.PwsCopyright {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 7pt;
  font-style: normal;
  font-weight: normal;
  text-align: left;
  color: #000000;
}
span.PwsCopyrightBold {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 7pt;
  font-weight: bold;
  text-align: left;
  color: #000000;
}

span.PwsCopyright a.url {
  color: #000000;
  text-decoration: none;
}

span.PwsCopyright a.url:hover {
  color: #0066CC;
  text-decoration: underline;
}

span.PwsCopyright a.url:link {
  color: #000000;
  text-decoration: none;
}

span.PwsCopyright a.url:visited {
  color: #000000;
  text-decoration: none;
}
