<?
// --------------------------------------------------------------------------------
// PhpWindowSystem - Application Sample
// --------------------------------------------------------------------------------
//
// Presentation :
//   PhpWindowSystem is a generic PHP window system management.
//   PhpWindowSystem is designed to take care of window displaying and
//   manage the associated events in order to offer a generic application
//   container.
//   More information can be obtained on
//   PhpConcept (http://www.phpconcept.net)
//   or by contacting the author Vincent Blavet (vincent@phpconcept.net)
//
// --------------------------------------------------------------------------------
// License :
//   PhpWindowSystem (PWS)
//   Copyright (C) 2002  Vincent Blavet (vincent@phpconcept.net)
//
//   This library is free software; you can redistribute it and/or
//   modify it under the terms of the GNU Lesser General Public
//   License as published by the Free Software Foundation; either
//   version 2.1 of the License, or (at your option) any later version.
//
//   This library is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//   Lesser General Public License for more details.
//
//   You should have received a copy of the GNU Lesser General Public
//   License along with this library; if not, write to the Free Software
//   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// --------------------------------------------------------------------------------
// CVS : $Id: sample.php,v 1.1 2002/08/26 22:04:25 vblavet Exp $
// --------------------------------------------------------------------------------

  // ----- Include the used modules
  //   Here you need to add all the includes of the additional PWS modules
  //   you may need. Some of these modules will come with the PWS release.
  //   However some other modules can have been developped indendantly, by
  //   you and others.
  require_once('pws/modules/pws-module-explorer/pws-module-explorer.class.php');

  // ----- Include the sample class
  //   This class is the key element of the application, it defines
  //   the specific 'document' your application will manage.
  //   Notice that if the application is not 'document' oriented, you
  //   will need to have at least one document, that might be hidden
  //   to the final user.
  //   The document is in fact the link between PWS and your specific development.
  require_once('sample.class.php');

  // ----- Include the PWS framework and session definition
  //   Mandatory to use PWS Framework. This include MUST come AFTER the
  //   modules and application specific includes.
  require_once('pws/core/pws.inc.php');

  // ----- Start PWS Framework
  //   This function will start the PWS system for each new session.
  //   The XML file is mandatory, the application name and logo is
  //   prefered, but can be omitted.
  PwsStart('sample.xml', 'MiniPhpZip', 'sample-logo.gif');

  // ----- Run the main loop
  //   This function manage the application event process and displaying.
  //   It is a kind of state machine.
  //   Notice that nothing else is necessary in this main application file.
  PwsLoop();


// End of File
// --------------------------------------------------------------------------------
?>
